## org.eclipse.m2m.atl.adt.ui.preferences
Class AtlPreferenceStore

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.preferences.AtlPreferenceStore

All Implemented Interfaces:
  org.eclipse.jface.preference.IPreferenceStore

    public class AtlPreferenceStore

extends java.lang.Object
implements org.eclipse.jface.preference.IPreferenceStore

A preference fPreferenceeStore organizes the user preferences with those in place.

Nested Class Summary
`static class` `AtlPreferenceStore.Descriptor` This is a simple generic class.
`static class` `AtlPreferenceStore.Key` Describes a preference key.

Field Summary
`static AtlPreferenceStore.Descriptor` `BOOLEAN`
`static AtlPreferenceStore.Descriptor` `DOUBLE`
`static AtlPreferenceStore.Descriptor` `FLOAT`
`static AtlPreferenceStore.Descriptor` `INT`
`static AtlPreferenceStore.Descriptor` `LONG`
`static AtlPreferenceStore.Descriptor` `STRING`

Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore
`BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

Constructor Summary
`AtlPreferenceStore(org.eclipse.jface.preference.IPreferenceStore parent, AtlPreferenceStore.Key[] keys)` Creates a new instance of ATL preference fPreferenceeStore.

Method Summary
`void` `addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`boolean` `contains(java.lang.String name)`
`void` `firePropertyChangeEvent(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
`boolean` `getBoolean(java.lang.String name)`
`boolean` `getDefaultBoolean(java.lang.String name)`
`double` `getDefaultDouble(java.lang.String name)`
`float` `getDefaultFloat(java.lang.String name)`
`int` `getDefaultInt(java.lang.String name)`
`long` `getDefaultLong(java.lang.String name)`
`java.lang.String` `getDefaultString(java.lang.String name)`
`double` `getDouble(java.lang.String name)`
`float` `getFloat(java.lang.String name)`
`int` `getInt(java.lang.String name)`
`long` `getLong(java.lang.String name)`
`java.lang.String` `getString(java.lang.String name)`
`boolean` `isDefault(java.lang.String name)`
`void` `load()` Loads every preferences from the parent fPreferenceeStore to this one.
`boolean` `needsSaving()`
`void` `propagate()` Propagates the preferences of this fPreferenceeStore to the parent one.
`void` `putValue(java.lang.String name, java.lang.String value)`
`void` `removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`void` `setDefault(java.lang.String name, boolean value)`
`void` `setDefault(java.lang.String name, double value)`
`void` `setDefault(java.lang.String name, float value)`
`void` `setDefault(java.lang.String name, int value)`
`void` `setDefault(java.lang.String name, long value)`
`void` `setDefault(java.lang.String name, java.lang.String value)`
`void` `setToDefault(java.lang.String name)`
`void` `setValue(java.lang.String name, boolean value)`
`void` `setValue(java.lang.String name, double value)`
`void` `setValue(java.lang.String name, float value)`
`void` `setValue(java.lang.String name, int value)`
`void` `setValue(java.lang.String name, long value)`
`void` `setValue(java.lang.String name, java.lang.String value)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final AtlPreferenceStore.Descriptor BOOLEAN

### DOUBLE

    public static final AtlPreferenceStore.Descriptor DOUBLE

### FLOAT

    public static final AtlPreferenceStore.Descriptor FLOAT

### INT

    public static final AtlPreferenceStore.Descriptor INT

### LONG

    public static final AtlPreferenceStore.Descriptor LONG

### STRING

    public static final AtlPreferenceStore.Descriptor STRING

Constructor Detail

### AtlPreferenceStore

    public AtlPreferenceStore(org.eclipse.jface.preference.IPreferenceStore parent,
                              AtlPreferenceStore.Key[] keys)

  Creates a new instance of ATL preference fPreferenceeStore.

  Parameters:
    `parent` - the parent fPreferenceeStore let's this one restore to the current value the preferences
    `keys` - this array is a list of keys for initialization

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener)`

### contains

    public boolean contains(java.lang.String name)

  Specified by:
    `contains` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.contains(java.lang.String)`

### firePropertyChangeEvent

    public void firePropertyChangeEvent(java.lang.String name,
                                        java.lang.Object oldValue,
                                        java.lang.Object newValue)

  Specified by:
    `firePropertyChangeEvent` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.firePropertyChangeEvent(java.lang.String, java.lang.Object, java.lang.Object)`

### getBoolean

    public boolean getBoolean(java.lang.String name)

  Specified by:
    `getBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getBoolean(java.lang.String)`

### getDefaultBoolean

    public boolean getDefaultBoolean(java.lang.String name)

  Specified by:
    `getDefaultBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultBoolean(java.lang.String)`

### getDefaultDouble

    public double getDefaultDouble(java.lang.String name)

  Specified by:
    `getDefaultDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultDouble(java.lang.String)`

### getDefaultFloat

    public float getDefaultFloat(java.lang.String name)

  Specified by:
    `getDefaultFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultFloat(java.lang.String)`

### getDefaultInt

    public int getDefaultInt(java.lang.String name)

  Specified by:
    `getDefaultInt` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultInt(java.lang.String)`

### getDefaultLong

    public long getDefaultLong(java.lang.String name)

  Specified by:
    `getDefaultLong` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultLong(java.lang.String)`

### getDefaultString

    public java.lang.String getDefaultString(java.lang.String name)

  Specified by:
    `getDefaultString` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDefaultString(java.lang.String)`

### getDouble

    public double getDouble(java.lang.String name)

  Specified by:
    `getDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getDouble(java.lang.String)`

### getFloat

    public float getFloat(java.lang.String name)

  Specified by:
    `getFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getFloat(java.lang.String)`

### getInt

    public int getInt(java.lang.String name)

  Specified by:
    `getInt` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getInt(java.lang.String)`

### getLong

    public long getLong(java.lang.String name)

  Specified by:
    `getLong` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getLong(java.lang.String)`

### getString

    public java.lang.String getString(java.lang.String name)

  Specified by:
    `getString` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.getString(java.lang.String)`

### isDefault

    public boolean isDefault(java.lang.String name)

  Specified by:
    `isDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.isDefault(java.lang.String)`

### load

    public void load()

  Loads every preferences from the parent fPreferenceeStore to this one.

### needsSaving

    public boolean needsSaving()

  Specified by:
    `needsSaving` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.needsSaving()`

### propagate

    public void propagate()

  Propagates the preferences of this fPreferenceeStore to the parent one.

### putValue

    public void putValue(java.lang.String name,
                         java.lang.String value)

  Specified by:
    `putValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.putValue(java.lang.String, java.lang.String)`

### removePropertyChangeListener

    public void removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener)`

### setDefault

    public void setDefault(java.lang.String name,
                           boolean value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, boolean)`

### setDefault

    public void setDefault(java.lang.String name,
                           double value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, double)`

### setDefault

    public void setDefault(java.lang.String name,
                           float value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, float)`

### setDefault

    public void setDefault(java.lang.String name,
                           int value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, int)`

### setDefault

    public void setDefault(java.lang.String name,
                           long value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, long)`

### setDefault

    public void setDefault(java.lang.String name,
                           java.lang.String value)

  Specified by:
    `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setDefault(java.lang.String, java.lang.String)`

### setToDefault

    public void setToDefault(java.lang.String name)

  Specified by:
    `setToDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setToDefault(java.lang.String)`

### setValue

    public void setValue(java.lang.String name,
                         boolean value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, boolean)`

### setValue

    public void setValue(java.lang.String name,
                         double value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, double)`

### setValue

    public void setValue(java.lang.String name,
                         float value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, float)`

### setValue

    public void setValue(java.lang.String name,
                         int value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, int)`

### setValue

    public void setValue(java.lang.String name,
                         long value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, long)`

### setValue

    public void setValue(java.lang.String name,
                         java.lang.String value)

  Specified by:
    `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
  See Also:
    `IPreferenceStore.setValue(java.lang.String, java.lang.String)`

### start

    public void start()

### stop

    public void stop()

Copyright 2007 IBM Corporation and others. All Rights Reserved.